IMX6Q Ubuntu OS not support OpenGL ?

cancel
Showing results for 
Search instead for 
Did you mean: 

IMX6Q Ubuntu OS not support OpenGL ?

273 Views
Contributor II

OS: Ubuntu 11.10

Kernel: 3.0.35

issue content:

After I installed xbmc package and run it, the error message as follow:

"xbmc needs hardware accelerated opengl rendering. install an appropriate graphics driver"

How could I resolve this issue?

Should I port OpenGL to kernel?

Thanks.

Labels (3)
Tags (2)
0 Kudos
1 Reply

16 Views
NXP TechSupport
NXP TechSupport

Hi Public

yes such assumption may be correct, becasue gpu/vpu libraries may depend on

kernel and BSP distribution. I would suggest try below Freescale Ubuntu,

it has complete set of gpu/vpu libraries.

i.MX6Q|i.MX 6Quad Processors|Quad Core|Freescale

L3.0.35_4.1.0_UBUNTU_RFS_BSP : i.MX 6Quad, i.MX 6Dual, i.MX 6DualLite, i.MX 6Solo

and i.MX 6Sololite Linux File System for the Ubuntu Images.

Size (K): 797055 Format: tgz Rev #: L3.0.35_4.1.0 Modified: 9/5/2013

L3.0.35_4.1.0_LINUX_DOCS


Regarding Ubuntu 11.10 you can try to reuse libaries on Freescale link above or

post this on meta-fsl-arm mailing list, so that someone familiar with this distribution

could try to assist you.


https://lists.yoctoproject.org/listinfo/meta-freescale

Best regards

igor


0 Kudos